yumdownloader(1)

BEZEICHNUNG
yumdownloader - RPM-Pakete aus Yum-Paketquellen herunterladen

ÜBERSICHT
yumdownloader [Optionen] Paket1 [Paket2 …]

BESCHREIBUNG

yumdownloader ist ein Programm zum Herunterladen von RPMs aus Yum-Paketquellen.

ALLGEMEINE OPTIONEN

-h, --help
    zeigt eine Hilfemeldung an und beendet das Programm.

--destdir VERZEICHNIS
    gibt ein Zielverzeichnis für den Download an. Vorgabe ist das aktuelle Verzeichnis.

--urls
    listet nur die URLs auf, lädt aber keine RPMs herunter.

--resolve
    löst beim Herunterladen der RPMs Abhängigkeiten auf und lädt die benötigten Pakete ebenfalls herunter.

--source
    lädt statt der Binärpakete die Quellpakete herunter.

--archlist=ARCH1[,ARCH2…]
    begrenzt die Abfrage der Pakete auf die angegebene(n) Architektur(en). Zulässige Werte sind hierbei alle Architekturen, die RPM bzw. Yum bekannt sind, beispielsweise »i386«, oder »src« für Quellpakete. Beachten Sie, dass repoquery den Wert von »arch« in Yum auf den ersten Wert in der Architekturenliste ändert. So ändert »--archlist=i386,i686« die kanonische Architektur von Yum zu i386, wobei Pakete für i386 und auch i686 erlaubt sind.

ZUSÄTZLICHE OPTIONEN
Yumdownloader erbt alle anderen Optionen von Yum. In der Handbuchseite von yum(8) finden Sie weitere Informationen.

BEISPIELE

Herunterladen des Kernel-RPMs nach /var/tmp:
    yumdownloader --destdir /var/tmp kernel

Auflisten der Adressen für die Pakete »kernel« und »kernel-smp«:
    yumdownloader --urls kernel kernel-smp

DATEIEN
Da Yumdownloader die Yum-Bibliotheken zum Ermitteln aller Informationen nutzt, bezieht es die Standardwerte zu den zu verwendenden Paketquellen aus der Yum-Konfiguration. Details hierzu finden Sie in der Yum-Dokumentation:

/etc/yum.conf
/etc/yum/repos.d/
/var/cache/yum/

SIEHE AUCH
yum.conf(5)
http://yum.baseurl.org/

AUTOREN
Lesen Sie die mit diesem Programm gelieferte Autorenliste.

FEHLER
Es gibt natürlich keine Fehler, sollten Sie dennoch einen entdecken, ziehen Sie zuerst den Abschnitt der häufig gestellten Fragen auf http://yum.baseurl.org/wiki/Faq zu Rate. Sollten Sie dort keine Lösung finden, kontaktieren Sie die (englischsprachige) Mailingliste auf yum-devel@lists.baseurl.org. Für Fehlermeldungen benutzen Sie http://bugzilla.redhat.com für Fehler in Fedora/RHEL/Centos und http://yum.baseurl.org/report für sonstige Fehler.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.